﻿using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Net.Http;
using System.Reflection;
using System.Text;

namespace PdfTest.ViewModels
{
    public class PdfPageViewModel : ViewModelBase
    {
        private Stream pdfStream;
        public Stream PdfStream
        {
            get => pdfStream;
            set => SetProperty(ref pdfStream, value);
        }

        public PdfPageViewModel(INavigationService navigationService)
            : base(navigationService)
        {

        }

        public override void OnNavigatedTo(INavigationParameters parameters)
        {
            var name = (string)parameters["name"];
            PdfStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream(name ?? "PdfTest.Assets.Barcode.pdf");
        }
    }
}
